--
-- Rcsid[] = "$Id: hltlogic.vhd,v 2.1 1993/10/06 01:04:36 alex Exp $";
--

entity hltlogic is
port(HLTA: out bit;
     ID17,ID14,ID6,T4,CLK,TRESET,VINT,VCC: in bit);
end;

architecture structure of hltlogic is

signal n0, n1, n2, n3, n4: bit;
signal L1: bit;

begin
U0 : inv_gate generic map(1,1) port map(n0,VINT);
U1 : inv_gate generic map(1,1) port map(n1,T4);
U2 : and_gate generic map(1,1) port map(n2,n1,CLK);
U3 : and_gate generic map(1,1) port map(n3,TRESET,n0);
U4 : nor_gate generic map(1,1) port map(n4,ID6,ID14,ID17);
U5 : DFF1 port map(L1,n4,n2,VCC,n3);
U6 : BUF_gate generic map(2,2) port map(HLTA,L1);
end structure;
